<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/AndroidX-Annotation</a></li>
<li><a href="#id1">/stb-Image</a></li>
<li><a href="#id2">/Eigen</a></li>
<li><a href="#id3">/imgui</a></li>
<li><a href="#id4">/SPIRV-Cross</a></li>
<li><a href="#id5">/AndroidX-Appcompat</a></li>
<li><a href="#id6">/Vulkan-Memory-Allocator</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/AndroidX-Annotation <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:AndroidX Annotation 1.5.0

Copyright Notice:
Copyright (C) 2020 The Android Open Source Project
Copyright (C) 2019 The Android Open Source Project
Copyright (C) 2018 The Android Open Source Project
Copyright (C) 2017 The Android Open Source Project
Copyright (C) 2016 The Android Open Source Project
Copyright (C) 2015 The Android Open Source Project
Copyright (C) 2014 The Android Open Source Project
Copyright (C) 2013 The Android Open Source Project

License:Apache License V2.0

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/stb-Image <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:stb_image af1a5bc352164740c1cc1354942b1c6b72eacb8a

Copyright Notice:
Copyright (c) 2017 Sean Barrett
Copyright (c) 2019 Sean Barrett
Copyright (c) 2013 The Khronos Group Inc.
(c) Willem van Schaik, 1996, 2011

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Eigen <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:Eigen 3.4.0

Copyright (c) 2020 Arm Ltd. and Contributors
Copyright (c) 2011, Intel Corporation
Copyright (c) 2007 Free Software Foundation, Inc. &lt;http://fsf.org/&gt;
Copyright (c) 1991, 1999 Free Software Foundation, Inc.
copyrighted by the Free Software Foundation
Copyright (c) 2015 Benoit Jacob &lt;benoitjacob@google.com&gt;
Copyright (c) 2020 Sebastien Boisvert &lt;seb@boisvert.info&gt;
Copyright (c) 2009 Mark Borgerding
Copyright (c) 2008&ndash;2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 1989, 1991 Free Software Foundation, Inc.
Copyright (c) EDF
Copyright (c) 2008 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2006, 2007 Montel Laurent, &lt;montel@kde.org&gt;
Copyright (c) 2006, Montel Laurent, &lt;montel@kde.org&gt;
Copyright (c) 2007, Allen Winter, &lt;winter@kde.org&gt;
Copyright (c) 2007, Alexander Neundorf, &lt;neundorf@kde.org&gt;
Copyright EDF 2001
Copyright (c) 2008 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2014 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2012 Desire Nuentsa&ndash;Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2012 The Android Open Source Project
Copyright (c) 2016 Mehdi Goli Codeplay Software Ltd. Ralph Potter Codeplay Software Ltd.
Copyright (c) 2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2009&ndash;2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
copyright (c) 2009&ndash;2014 The University of Tennessee and The University of Tennessee Research Foundation
copyright (c) 2012&ndash;2016 Inria
copyright (c) 2012&ndash;2014 Bordeaux INP, CNRS (LaBRI UMR 5800), Inria, Univ. Bordeaux
Copyright 2007&ndash;2009 Kitware, Inc.
Copyright 2012&ndash;2013 Inria
Copyright 2012&ndash;2013 Emmanuel Agullo
Copyright 2012&ndash;2013 Mathieu Faverge
Copyright 2012 Cedric Castagnede
Copyright 2013&ndash;2016 Florent Pruvost
Copyright 2016&ndash;2018 Codeplay Software Ltd.
Copyright (c) 2008, 2009 Gael Guennebaud, &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Boudewijn Rempt &lt;boud@valdyas.org&gt;
copyright (c) 2012&ndash;2014 Inria
Copyright 2013 Florent Pruvost
Copyright (c) 2010 Jitse Niesen, &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2020 The Eigen Authors
Copyright (c) 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt; 2020 Susi Lehtola &lt;susi.lehtola@gmail.com&gt;
Copyright (c) 2009 Benjamin Schindler &lt;bschindler@inf.ethz.ch&gt;
Copyright (c) 2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2011&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2007&ndash;2011 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2008&ndash;2013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Hauke Heibel &lt;hauke.heibel@googlemail.com&gt;
Copyright (c) 2008&ndash;2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (c) 2011 Timothy E. Holy tim.holy@gmail.com
Copyright (c) 2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2007 Michael Olbrich &lt;michael.olbrich@gmx.net&gt;
Copyright (c) 2006&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2011&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011&ndash;2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2006&ndash;2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2016 Rasmus Munk Larsen (rmlarsen@google.com)
Copyright (c) 2008&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2016 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright (c) 2007&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2006&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010&ndash;2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2007&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2006&ndash;2008, 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2014&ndash;2019 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2021, NVIDIA CORPORATION.
Copyright (c) 2014 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (c) 2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011&ndash;2018 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2008&ndash;2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2014 yoco &lt;peter.xiau@gmail.com&gt;
Copyright (c) 2009&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2009 Ricard Marxer &lt;email@ricardmarxer.com&gt;
Copyright (c) 2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2018 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2019 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2007 Julien Pommier
Copyright (c) 2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2020 Everton Constantino (everton.constantino@ibm.com)
Copyright (c) 2021 Chip Kerchner (chip.kerchner@ibm.com)
Copyright (c) 2008&ndash;2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2014 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (c) 2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (c) 2016 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (c) 2019 Rasmus Munk Larsen &lt;rmlarsen@google.com&gt;
Copyright (c) 2021 C. Antonio Sanchez &lt;cantonios@google.com&gt;
Copyright 2017 The TensorFlow Authors
Copyright (c) 2009&ndash;2019 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2019 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) Fabian Giesen, 2016
Copyright (c) 2016 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2018 Wave Computing, Inc.
Copyright (c) 2010 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2018 Rasmus Munk Larsen &lt;rmlarsen@google.com&gt;
Copyright (c) 2020 Antonio Sanchez &lt;cantonios@google.com&gt;
Copyright (c) 2020, Arm Limited and Contributors
Copyright (c) 2017 Codeplay Software Limited
Copyright (c) 2008&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2018 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2009 Kenneth Riddile &lt;kfriddile@yahoo.com&gt;
Copyright (c) 2010 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2010 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (c) 2013 Pavel Holoborodko &lt;pavel@holoborodko.com&gt;
Copyright (c) 2009 Claire Maurice
Copyright (c) 2010,2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2012&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2016 Tobias Wood &lt;tobias@spinicist.org.uk&gt;
Copyright (c) 2010 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2012 Alexey Korepanov &lt;kaikaikai@yandex.ru&gt;
Copyright (c) 2011&ndash;2014, Willow Garage, Inc.
Copyright (c) 2014&ndash;2015, Open Source Robotics Foundation
Copyright (c) 2009 Mathieu Gautier &lt;mathieu.gautier@cea.fr&gt;
Copyright (c) 2009 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2009 Rohit Garg &lt;rpg.314@gmail.com&gt;
Copyright (c) 2010 Vincent Lejeune
Copyright (c) 2005, the Regents of the University of Minnesota
Copyright (c) 2017 Kyle Macfarlan &lt;kyle.macfarlan@gmail.com&gt;
Copyright (c) 2008&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2001 Intel Corporation
Copyright (c) 2010, Intel Corp.
Copyright (c) 2013&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2006, Timothy A. Davis. http://www.suitesparse.com
Copyright (c) 2012 Desire Nuentsa Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 1998&ndash;2003 by the University of Florida
Copyright (c) 2016 Rasmus Munk Larsen &lt;rmlarsen@google.com&gt;
Copyright (c) 2008&ndash;2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2005 by Timothy A. Davis
Copyright (c) 1994 by Xerox Corporation
Copyright (c) 2010 Daniel Lowengrub &lt;lowdanie@gmail.com&gt;
Copyright (c) 2012&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012&ndash;2013 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2012 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2013 Gauthier Brun &lt;brun.gauthier@gmail.com&gt;
Copyright (c) 2013 Nicolas Carre &lt;nicolas.carre@ensimag.fr&gt;
Copyright (c) 2013 Jean Ceccato &lt;jean.ceccato@ensimag.fr&gt;
Copyright (c) 2013 Pierre Zoppitelli &lt;pierre.zoppitelli@ensimag.fr&gt;
Copyright (c) 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2014&ndash;2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2013&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (c) 2011 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2020 Everton Constantino &lt;everton.constantino@ibm.com&gt;
Copyright (c) 2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2019 David Tellenbach &lt;david.tellenbach@tellnotes.org&gt;
Copyright (c) 2015&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2019 Joel Holdsworth &lt;joel.holdsworth@vcatechnology.com&gt;
Copyright (c) 2010&ndash;2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010&ndash;2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2020 C. Antonio Sanchez &lt;cantonios@google.com&gt;
Copyright (c) 2008 Daniel Gomez Ferro &lt;dgomezferro@gmail.com&gt;
Copyright (c) 2013 Desire Nuentsa&ndash;Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2011&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2018&ndash;2019 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2014&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Ilya Baran &lt;ibaran@mit.edu&gt;
Copyright (c) 2015 Tal Hadad &lt;tal_hd@hotmail.com&gt;
Copyright (c) 2009 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (c) 2009 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010&ndash;2012 Pavel Holoborodko &lt;pavel@holoborodko.com&gt;
Copyright (c) 2010 Konstantin Holoborodko &lt;konstantin@holoborodko.com&gt;
Copyright (c) 2016 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2013 Christian Seiler &lt;christian@iwakd.de&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@gmail.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2014&ndash;2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2015 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (c) 2014 Eric Martin &lt;eric@ericmart.in&gt;
Copyright (c) 2015 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (c) 2018 Deven Desai &lt;deven.desai.amd@gmail.com&gt;
Copyright (c) 2015 Ke Yang &lt;yangke@gmail.com&gt;
Copyright (c) 2018 Mehdi Goli &lt;eigen@codeplay.com&gt; Codeplay Software Ltd.
Copyright (c) 2016 Mehdi Goli, Codeplay Software Ltd &lt;eigen@codeplay.com&gt;
Copyright (c) 2014 Navdeep Jaitly &lt;ndjaitly@google.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Igor Babuschkin &lt;igor@babuschk.in&gt;
Copyright (c) 2017 Gagan Goel &lt;gagan.nith@gmail.com&gt;
Copyright (c) 2017 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Dmitry Vyukov &lt;dvyukov@google.com&gt;
Copyright (c) 2012 David Harmon &lt;dharmon@gmail.com&gt;
Copyright 2003&ndash;2009 Mark Borgerding
Copyright (c) 2002&ndash;2007 Yves Renard
Copyright (c) 2012, 2014 Kolja Brix &lt;brix@igpm.rwth&ndash;aaachen.de&gt;
Copyright (c) 2020 Chris Schoutrop &lt;c.e.m.schoutrop@tue.nl&gt;
Copyright (c) 2020 Jens Wehner &lt;j.wehner@esciencecenter.nl&gt;
Copyright (c) 2020 Jan van Dijk &lt;j.v.dijk@tue.nl&gt;
Copyright (c) 2012 Giacomo Po &lt;gpo@ucla.edu&gt;
Copyright (c) 2018 David Hyde &lt;dabh@stanford.edu&gt;
Copyright (c) 2012 Desire NUENTSA
Copyright (c) 2011 Kolja Brix &lt;brix@igpm.rwth&ndash;aachen.de&gt;
Copyright (c) 2011 Andreas Platen &lt;andiplaten@gmx.de&gt;
Copyright Jorge More &ndash; Argonne National Laboratory
Copyright Burt Garbow &ndash; Argonne National Laboratory
Copyright Ken Hillstrom &ndash; Argonne National Laboratory
Copyright (c) 2009, 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011, 2013 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2009&ndash;2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2012, 2013 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010 Manuel Yguel &lt;manuel.yguel@gmail.com&gt;
Copyright (c) 2008 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2008&ndash;2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2013 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright 1984, 1987, 1992, 2000 by Stephen L. Moshier
Copyright 1985, 1987, 1992 by Stephen L. Moshier Direct
Copyright (c) 2013 Christoph Hertzberg &lt;chtz@informatik.uni&ndash;bremen.de&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@google.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2018 Andy Davis &lt;andydavis@google.com&gt;
Copyright (c) 2018 Eugene Zhulenev &lt;ezhulenev@google.com&gt;
Copyright (c) 2014 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (c) 2014 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (c) 2017 Viktor Csomor &lt;viktor.csomor@gmail.com&gt;
Copyright (c) 2015 Vijay Vasudevan &lt;vrv@google.com&gt;
Copyright (c) 2015 Mehdi Goli Codeplay Software Ltd. Ralph Potter Codeplay Software Ltd.
Copyright (c) 2014 Navdeep Jaitly ndjaitly@google.com and Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2012 desire Nuentsa desire.nuentsa_wakam@inria.fr
Copyright (c) 2012 Kolja Brix &lt;brix@igpm.rwth&ndash;aaachen.de&gt;
Copyright (c) 2009&ndash;2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2008&ndash;2010 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2010&ndash;2011 Hauke Heibel &lt;heibel@gmail.com&gt;

License:Mozilla Public License (MPL) V2.0

MOZILLA PUBLIC LICENSE
VERSION 2.0
1. DEFINITIONS
1.1. “Contributor”
means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.
1.2. “Contributor Version”
means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor’s Contribution.
1.3. “Contribution”
means Covered Software of a particular Contributor.
1.4. “Covered Software”
means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.
1.5. “Incompatible With Secondary Licenses”
means
a.	that the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or
b.	that the Covered Software was made available under the terms of version 1.1 or earlier of the License, but not also under the terms of a Secondary License.
1.6. “Executable Form”
means any form of the work other than Source Code Form.
1.7. “Larger Work”
means a work that combines Covered Software with other material, in a separate file or files, that is not Covered Software.
1.8. “License”
means this document.
1.9. “Licensable”
means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.
1.10. “Modifications”
means any of the following:
a.	any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or
b.	any new file in Source Code Form that contains any Covered Software.
1.11. “Patent Claims” of a Contributor
means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.
1.12. “Secondary License”
means either the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.
1.13. “Source Code Form”
means the form of the work preferred for making modifications.
1.14. “You” (or “Your”)
means an individual or a legal entity exercising rights under this License. For legal entities, “You” includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, “control” means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.
2. LICENSE GRANTS AND CONDITIONS
2.1. GRANTS
Each Contributor hereby grants You a world&ndash;wide, royalty&ndash;free, non&ndash;exclusive license:
a.	under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and
b.	under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.
2.2. EFFECTIVE DATE
The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.
2.3. LIMITATIONS ON GRANT SCOPE
The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:
a.	for any code that a Contributor has removed from Covered Software; or
b.	for infringements caused by: (i) Your and any other third party’s modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or
c.	under Patent Claims infringed by Covered Software in the absence of its Contributions.
This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).
2.4. SUBSEQUENT LICENSES
No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).
2.5. REPRESENTATION
Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.
2.6. FAIR USE
This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.
2.7. CONDITIONS
Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.
3. RESPONSIBILITIES
3.1. DISTRIBUTION OF SOURCE FORM
All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You may not attempt to alter or restrict the recipients’ rights in the Source Code Form.
3.2. DISTRIBUTION OF EXECUTABLE FORM
If You distribute Covered Software in Executable Form then:
a.	such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and
b.	You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients’ rights in the Source Code Form under this License.
3.3. DISTRIBUTION OF A LARGER WORK
You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).
3.4. NOTICES
You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.
3.5. APPLICATION OF ADDITIONAL TERMS
You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.
4. INABILITY TO COMPLY DUE TO STATUTE OR REGULATION
If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be placed in a text file included with all distributions of the Covered Software under this License. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.
5. TERMINATION
5.1. The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non&ndash;compliance by some reasonable means prior to 60 days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non&ndash;compliance by some reasonable means, this is the first time You have received notice of non&ndash;compliance with this License from such Contributor, and You become compliant prior to 30 days after Your receipt of the notice.
5.2. If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter&ndash;claims, and cross&ndash;claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.
5.3. In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.
6. DISCLAIMER OF WARRANTY
Covered Software is provided under this License on an “as is” basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non&ndash;infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.
7. LIMITATION OF LIABILITY
Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party’s negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.
8. LITIGATION
Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict&ndash;of&ndash;law provisions. Nothing in this Section shall prevent a party’s ability to bring cross&ndash;claims or counter&ndash;claims.
9. MISCELLANEOUS
This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not be used to construe this License against a Contributor.
10. VERSIONS OF THE LICENSE
10.1. NEW VERSIONS
Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.
10.2. EFFECT OF NEW VERSIONS
You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.
10.3. MODIFIED VERSIONS
If you create software not governed by this License, and you want to create a new license for such software, you may create and use a modified version of this License if you rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).
10.4. DISTRIBUTING SOURCE CODE FORM THAT IS INCOMPATIBLE WITH SECONDARY LICENSES
If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.
EXHIBIT A &ndash; SOURCE CODE FORM LICENSE NOTICE
This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
If it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.
You may add additional accurate notices of copyright ownership.
EXHIBIT B &ndash; “INCOMPATIBLE WITH SECONDARY LICENSES” NOTICE
This Source Code Form is “Incompatible With Secondary Licenses”, as defined by the Mozilla Public License, v. 2.0.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/imgui <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:imgui 1.87

Copyright Notice:
&lt;br&gt;Digitized data copyright (c) 2010 Google Corporation.
Copyright (C) 2012 Synergy Si Ltd.
Copyright (c) 2002&ndash;2006 Marcus Geelnard
Copyright (c) 2004, 2005 Tristan Grimmer MIT license (see License.txt in http:www.upperbounds.netdownloadProggyClean.ttf.zip)
Copyright (c) 2006&ndash;2010 Camilla Berglund &lt;elmindreda@elmindreda.org&gt;
Copyright (c) 2012 Alex Evans
Copyright (c) 2014&ndash;2022 Omar Cornut
Copyright (c) 2017 Sean Barrett Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
Copyright 2013&ndash;2020 The Khronos Group Inc.

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id4"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/SPIRV-Cross <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:SPIRV&ndash;Cross sdk&ndash;1.3.211.0

Copyright Notice:
Copyright 2016&ndash;2021 The Khronos Group Inc.
Copyright 2016&ndash;2021 Google Inc.
Copyright (c) 2016&ndash;2020 The Khronos Group Inc.
Copyright 2014&ndash;2016,2021 The Khronos Group, Inc.
Copyright 2015&ndash;2021 Arm Limited
Copyright 2020&ndash;2021 The Khronos Group, Inc.
Copyright (c) 2014&ndash;2020 The Khronos Group Inc.
Copyright 2016&ndash;2021 Arm Limited
Copyright 2019&ndash;2021 Hans&ndash;Kristian Arntzen
Copyright 2018&ndash;2021 Arm Limited
Copyright 2016&ndash;2021 Robert Konrad
Copyright 2016&ndash;2021 The Brenwill Workshop Ltd. SPDX&ndash;License&ndash;Identifier
Copyright 2018&ndash;2021 Bradley Austin Davis
Copyright 2016&ndash;2021 The Khronos Group, Inc.
Copyright (c) 2019 Google, Inc.
Copyright 2015&ndash;2017 ARM Limited
Copyright 2020&ndash;2021 Hans&ndash;Kristian Arntzen

License:Apache License V2.0

                                Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id5"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/AndroidX-Appcompat <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:AndroidX Appcompat 1.6.0

Copyright Notice:
Copyright (c) 2016 The Android Open Source Project
Copyright 2021 The Android Open Source Project
Copyright (c) 2006 The Android Open Source Project
Copyright (c) 2013 The Android Open Source Project
Copyright 2017 The Android Open Source Project
Copyright (c) 2017 The Android Open Source Project
Copyright (c) 2015 Google Inc.
Copyright (c) 2012 The Android Open Source Project
Copyright 2018 The Android Open Source Project
Copyright (c) 2011 The Android Open Source Project
Copyright (c) 2021 The Android Open Source Project
Copyright (c) 2015 The Android Open Source Project
Copyright 2022 The Android Open Source Project
Copyright (c) 2010 The Android Open Source Project
Copyright (c) 2014 The Android Open Source Project

License:Apache License V2.0

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id6"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Vulkan-Memory-Allocator <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:Vulkan Memory Allocator v3.0.1

Copyright Notice:
&lt;p &gt;Copyright (c) 2017&ndash;2022 Advanced Micro Devices, Inc.  &lt;br  /&gt;
Copyright (C) 1997&ndash;2020 by Dimitri van Heesch
Copyright (c) 2007 Ariel Flesler &ndash; aflesler ○ gmail • com | https://github.com/flesler Licensed under MIT @author Ariel Flesler @version 2.1.2
Copyright (c) 2017&ndash;2022 Advanced Micro Devices, Inc.
Copyright (c) 2017&ndash;2022 Advanced Micro Devices, Inc.  \n License: MIT
Copyright (c) 2018 Steven Benner (http:stevenbenner.com/).
Copyright (c) 2018&ndash;2022 Advanced Micro Devices, Inc.
Copyright 2011–2014, Dave Furfero Dual licensed under the MIT or GPL Version 2 licenses.

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
